Bug 119529 - extra quotes in /etc/X11/xinit/xinitrc.d/xinput
extra quotes in /etc/X11/xinit/xinitrc.d/xinput
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-30 22:34 EST by P Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.39-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-31 02:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Jones 2004-03-30 22:34:56 EST
Description of problem:
on line 235 it calls it has:
which "$XIM_PROGRAM" > /dev/null 2>&1 && LANG="$tmplang"
"$XIM_PROGRAM" "$XIM_ARGS" &

which should be 
which "$XIM_PROGRAM" > /dev/null 2>&1 && LANG="$tmplang"
"$XIM_PROGRAM" $XIM_ARGS &

because if it calls """kinput2 "-canna +kinput -xim"""" it'll give a
usage error in .xsessions-errors


Version-Release number of selected component (if applicable):
xinitrc-3.38-1

How reproducible:
always

Steps to Reproduce:
1. log in in japanese, check .xsession-errors
2. check to see if kinput2 is running
3.
  
Actual results:
error logged. process not running

Expected results:
kinput2 running, japanese input accepted

Additional info:
Comment 1 Mike A. Harris 2004-03-31 02:00:33 EST
Thanks for the report.  I just made a fix for this, which will
be in xinitrc-3.39-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.